GET /v2/api/pricats/products

Query parameters

  • pricatExternalId string

    Filter on a list of comma separated pricat external ids

  • page integer

    Page Number

    Minimum value is 1. Default value is 1.

  • pageSize integer

    Page Size

    Maximum value is 1000. Default value is 10.

  • sku string

    Filter on a list of comma separated skus

  • season string

    Filter on a list of comma separated seasons

  • supplierGln string

    Filter on a list of comma separated supplier GLNs

  • supplier string

    Filter on a list of comma separated supplier names

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • brand string

      Product brand.

    • category string

      Product category.

    • color string

      Product color.

    • costPrice number

      Cost price of the row.

    • costPriceCurrency string

      Currency code for cost price.

    • ean string

      EAN of the product row.

    • gender string

      Product gender.

    • imageUrl string

      Product image URL.

    • info object

      Any additional JSON payload.

    • pricatExternalId string

      External ID of the pricat.

    • price number

      Sales price of the row.

    • priceCurrency string

      Currency code for sales price.

    • productGroupId string

      Group ID of the product.

    • productName string

      Name of the product.

    • season string

      Season used when building the key for versioned SKUs.

    • size string

      Product size.

    • sku string

      SKU of the product row.

    • supplier string

      Product supplier.

    • supplierGln string

      Supplier GLN.

    • variantGroupId string

      Group ID of the variant.

    • variantName string

      Name of the variant.

    • vat number

      VAT percentage.

  • default application/json

    All errors will return the same object with a describing code & message

    Hide response attributes Show response attributes object
    • error string
    • message string
    • statusCode integer
GET /v2/api/pricats/products
curl \
 --request GET 'https://api.maddenanalytics.com/v2/api/pricats/products'
Response examples (200)
[
  {
    "brand": "Sample Brand",
    "category": "Tops",
    "color": "Black",
    "costPrice": 199,
    "costPriceCurrency": "SEK",
    "ean": "7350000000001",
    "gender": "Unisex",
    "imageUrl": "https://cdn.example.com/img.jpg",
    "info": {},
    "pricatExternalId": "SPRING_2026",
    "price": 499,
    "priceCurrency": "SEK",
    "productGroupId": "PG-100",
    "productName": "Classic Tee",
    "season": "SS26",
    "size": "M",
    "sku": "SKU-1234",
    "supplier": "Main Supplier",
    "supplierGln": "1234567890123",
    "variantGroupId": "VG-100",
    "variantName": "Classic Tee Black",
    "vat": 25
  }
]
Response examples (default)
{
  "error": "Error Type (if any)",
  "message": "Message describing the error",
  "statusCode": 400
}